[PC-BSD Commits] r1012 - pbibuild/modules/sylpheed/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Dec 13 14:47:17 PST 2007
Author: gonzalo
Date: 2007-12-13 14:47:16 -0800 (Thu, 13 Dec 2007)
New Revision: 1012
Modified:
pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh
Log:
Mail folder now will be asked for being removed.
Modified: pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh 2007-12-12 23:24:37 UTC (rev 1011)
+++ pbibuild/modules/sylpheed/overlay-dir/PBI.RemoveScript.sh 2007-12-13 22:47:16 UTC (rev 1012)
@@ -18,15 +18,32 @@
rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
done
-cd /home
- for i in `ls`
- do
- if [ -d "/home/${i}/.sylpheed-2.0" ]
- then
- kdialog --title "Uninstalling Sylpheed!" --yesno "Do you want to delete this PBI completely?\nIf you answer 'Yes', configuration files located in /home/${i}/.sylpheed-2.0 will be erased."
- if [ "$?" = "0" ]
- then
- rm -fR /home/${i}/.sylpheed-2.0
- fi
- fi
- done
\ No newline at end of file
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Sylpheed user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.sylpheed-2.0" ]
+ then
+ rm -rf /home/${i}/.sylpheed-2.0
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Sylpheed user emails also?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/Mail" ]
+ then
+ rm -rf /home/${i}/Mail
+ fi
+ done
+ fi
+ fi
+ done
+ fi
+fi
\ No newline at end of file
More information about the Commits
mailing list